Subscribe Thread
curl --request POST \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/thread/subscription \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/thread/subscription"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/thread/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true
}
}Messages
Subscribe Thread
Subscribe a CometChat user to a message thread with REST API to receive updates on threaded replies.
POST
/
messages
/
{id}
/
thread
/
subscription
Subscribe Thread
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message whose thread is to be subscribed to.
Response
200 - application/json
Subscribe Thread
Was this page helpful?
⌘I